/*
 * Copyright (C) 2016 AriaLyy(https://github.com/AriaLyy/Aria)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.arialyy.aria.core.common.controller;

/**
 * 恢复、停止、删除、等功能控制器
 */
public interface INormalFeature {

  /**
   * 停止任务
   */
  void stop();

  /**
   * 恢复任务
   */
  void resume();

  /**
   * 删除任务
   */
  void cancel();

  /**
   * 任务重试
   */
  void reTry();

  /**
   * 删除任务
   *
   * @param removeFile {@code true} 不仅删除任务数据库记录，还会删除已经删除完成的文件
   * {@code false}如果任务已经完成，只删除任务数据库记录，
   */
  void cancel(boolean removeFile);

  /**
   * 重新下载
   */
  void reStart();

  /**
   * 保存数据
   */
  void save();
}
